Subject: bug#33428: 27.0.50; edebug-print-{length,level} customization types

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Nov 2018 20:37:05 +0200

> From: Stephen Berman <[email-masked]>
> Date: Mon, 19 Nov 2018 11:32:51 +0100
> 
> The doc strings of edebug-print-length and edebug-print-level imply that
> nil is a valid value and indeed it is.  Yet trying to set the value to
> nil via `M-x customize-option' fails with the error "This field should
> contain an integer", because nil does not fit the customization type
> :integer used in the definitions of these user options.  It's been like
> this since they were changed from defvars to defcustoms more than 20
> years ago (though "If non-nil" was added to the doc strings only a
> little less than 10 years ago), so should the fix (below) go into
> master, or is it on the order of a documentation fix and suitable for
> the release branch?

It's fine with me to put this on the release branch.

Thanks.